@import "app/UI/styles";

.Container {
  position: relative;
  max-width: 327px;
  min-width: 288px;
  height: 400px;
  background-color: $color-white;
  border-radius: 8px;
  margin: 32px 12px;
  overflow: hidden;

  .ImageNotFound {
    width: 288px;
    height: 200px;
  }

  .PromoContainer {
    position: absolute;
    top: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: $color-sea-buckthorn;
    width: 75px;
    height: 25px;

    span {
      font-family: $primary-font;
      font-size: 14px;
      line-height: 16px;
      color: $color-white;
    }
  }

  .Image {
    width: 100%;
    height: 200px;
  }

  .InactiveImage {
    filter: grayscale(1);
  }

  .TextContainer {
    font-family: $primary-font;
    line-height: 16px;
    margin: 0 16px 10px 16px;
    height: 100px;
    overflow-y: hidden;

    h3 {
      font-size: 18px;
      color: $color-sharkapprox;
      margin-bottom: 8px;
    }

    span {
      font-size: 14px;
      color: $color-manateeapprox;
    }
  }

  .StarsContainer {
    margin: 0 16px;

    .FilledStar {
      &, & * {
        fill: $color-sea-buckthorn;
      }
    }

    .EmptyStar {
      &, & * {
        fill: $color-cadet-blue;
      }
    }
  }

  .Button {
    width: 94%;
  }
}
